//
// PS2PC: An Intel x86 emulator for MIPS R5900 (Sony PS2).
// Coded by Mike Tedder / breakpoint - bpoint@parodius.com
// http://ps2pc.parodius.com
//
// This project is released as 'open source'.  You may make any modifications
// or adjustments to the code and submit a patch to be applied to the project.
// See the web page for more details.
//
//-----------------------------------------------------------------------

#include "types.h"

int x86IN_ALIb(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86IN_eAXIb(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86IN_ALDX(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86IN_eAXDX(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86INSB_YbDX(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86INSWD_YvDX(uchar *in, ulong *out, bool *isBranch, ulong *skip);

int x86OUT_IbAL(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86OUT_IbeAX(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86OUT_DXAL(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86OUT_DXeAX(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86OUTSB_DXXb(uchar *in, ulong *out, bool *isBranch, ulong *skip);
int x86OUTSWD_DXXv(uchar *in, ulong *out, bool *isBranch, ulong *skip);
